TextRunnerSingleMethodTest.InvocationTest
Keywords: junit.tests.runner.TextRunnerSingleMethodTest.InvocationTest class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## junit.tests.runner
Class TextRunnerSingleMethodTest.InvocationTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              junit.tests.runner.TextRunnerSingleMethodTest.InvocationTest

All Implemented Interfaces:
  Test

Enclosing class:
  TextRunnerSingleMethodTest

    public static class TextRunnerSingleMethodTest.InvocationTest

extends TestCase

Constructor Summary
`TextRunnerSingleMethodTest.InvocationTest()`

Method Summary
`void` | `testNotInvoked()`
`void` | `testWasInvoked()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TextRunnerSingleMethodTest.InvocationTest

    public TextRunnerSingleMethodTest.InvocationTest()

Method Detail

### testWasInvoked

    public void testWasInvoked()

### testNotInvoked

    public void testNotInvoked()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD